{{ with .Site.Params.social }}
<ul>
  {{ range sort . "weight" }}
    {{ if .icon }}
      <li class="fa">
        <a href="{{ .url | safeURL }}" aria-label="{{ .name }}" {{ if .rel }}rel="{{ .rel }}"{{ end }} {{ if .target }}target="{{ .target }}"{{ end }} {{ if .type }}type="{{ .type }}"{{ end }}>
          <i class="{{ .icon }}" aria-hidden="true"></i>
        </a>
      </li>
    {{ else }}
      <li class="fa">
        <a href="{{ .url | safeURL }}" aria-label="{{ .name }}" {{ if .rel }}rel="{{ .rel }}"{{ end }} {{ if .target }}target="{{ .target }}"{{ end }}>{{ .name }}</a>
      </li>
    {{ end }}
  {{ end }}
</ul>
{{ end }}